/*--------------------------------------------------------------
$$ General Styles
--------------------------------------------------------------*/
:root {
  --main-color: rgb(4, 182, 182);
  --secondary-color: #000016;
}

*{
  font-family: "Open Sans", sans-serif;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  scroll-behavior: smooth; 
}

/*--------------------------------------------------------------
$$ Start Header
--------------------------------------------------------------*/
header {
  background-color: var(--secondary-color);
  width: 100%;
  position: fixed;
  z-index: 999;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.header-content {
  display: flex;
  justify-content: space-evenly;
  align-items: center;
}

.logo{
  text-decoration: none;
  color: white;
  text-transform: uppercase;
  font-weight: 700;
  font-size: 1.8em;
}

.navigation a{
  color: white;
  text-decoration: none;
  font-size: 1.1em;
  font-weight: 500;
  padding-left: 30px;
}

.navigation a:hover,
.logo:hover {
  color: var(--main-color);
}

@media (max-width: 1000px) {
  .logo{
    display: none;
  }
}

@media (max-width: 500px) {
  .navigation {
    display: none;
  }
  .logo{
    display: inline;
  }
}


/*--------------------------------------------------------------
$$ Start Landing Section
--------------------------------------------------------------*/
#mainLanding {
  width: 100%;
  min-height: 100vh;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.landing {
  width: 100%;
  display: flex;
  justify-content: space-around;
  align-items: center;
}

.mylanding-content {
  width: 55%;
}

.landing-photo {
  width: 35%;
}

.landing-photo img {
  width: 100%;
  border-radius: 50%;
}

@media (min-width: 992px) {
  #mainLanding {
    padding-left: 160px;
  }
}

#mainLanding h1 {
  font-size: 3.1em;
  font-weight: 700;
  color: var(--secondary-color);
}

#mainLanding p {
  color: var(--secondary-color);
  margin: 15px 5px 15px 5px;
  font-size: 1.5em;
  font-family: "Poppins", sans-serif;
}

#mainLanding p span {
  color: var(--main-color);
}

.main-btn {
  color: white;
  background-color: var(--secondary-color);
  text-decoration: none;
  font-size: 1.1em;
  font-weight: 600;
  display: inline-block;
  padding: 0.9375em 2.1875em;
  letter-spacing: px;
  border-radius: 15px;
  transition: 0.5s ease;
  margin-top: 10px;
}

.main-btn:hover {
  background-color: white;
  color: var(--secondary-color);
  box-shadow: 1px 1px 8px 1px var(--secondary-color), 
              -1px -1px 8px 1px var(--secondary-color);
  transform: scale(1.02);
}

#mainLanding .social-links {
  margin-top: 30px;
  margin-left: 5px;
}

#mainLanding .social-links a {
  font-size: 50px;
  color: var(--secondary-color);
  line-height: 1;
  margin-right: 20px;
  transition: 0.3s;
}

#mainLanding .social-links a:hover {
  color: var(--main-color);
}

@media (max-width: 992px) {
  #mainLanding {
    text-align: center;
  }

  #mainLanding h1 {
    font-size: 32px;
    line-height: 36px;
  }

  #mainLanding p {
    margin-top: 10px;
    font-size: 20px;
    line-height: 24px;
  }
  .landing {
    width: 100%;
    display: flex;
    flex-direction: column;
  }
  .landing-photo {
    margin-top: 50px;
  }
  .mylanding-content {
    margin-top: 40px;
  }
}

@media (max-width: 500px) {
  #mainLanding .social-links {
    display: flex;
    margin-left: 15px;
  }
}

@media (max-width: 400px) {
  #mainLanding .social-links {
    display: flex;
    flex-direction: column;
    margin-left: 15px;
  }
}


/*--------------------------------------------------------------
$$ All Sections Design
--------------------------------------------------------------*/
section {
  padding: 60px 0;
  overflow: hidden;
}

.section-title {
  text-align: center;
  padding-bottom: 30px;
}

.section-title h2 {
  font-size: 32px;
  font-weight: bold;
  text-transform: uppercase;
  margin-bottom: 20px;
  padding-bottom: 20px;
  position: relative;
  color: var(--secondary-color);
}

.section-title h2::before {
  content: "";
  position: absolute;
  display: block;
  width: 120px;
  height: 2px;
  background: #ddd;
  bottom: 1px;
  left: calc(50% - 60px);
}

.section-title h2::after {
  content: "";
  position: absolute;
  display: block;
  width: 40px;
  height: 4px;
  background: var(--main-color);
  bottom: 0;
  left: calc(50% - 20px);
}

/*--------------------------------------------------------------
$$ Start About Section
--------------------------------------------------------------*/
.about {
  background-color: var(--secondary-color);
  color: white;
}

.about .content h3 {
  font-weight: 700;
  font-size: 30px;
  color: white;
  margin-bottom: 30px;
}

.about .content ul {
  list-style: none;
  padding: 0;
}

.about .content ul li {
  margin-bottom: 20px;
  display: flex;
  align-items: center;
}

.about .content ul strong {
  margin-right: 10px;
}

.about .content ul i {
  font-size: 20px;
  margin-right: 10px;
  color: var(--main-color);
  line-height: 0;
}

/*--------------------------------------------------------------
$$ Start Skills Section
--------------------------------------------------------------*/
.skills .skills-content {
  margin-bottom: 30px;
}

.skills .skills-content h2{
  color: var(--secondary-color);
  font-weight: 600;
}

.skills .progress {
  height: 70px;
  display: block;
  background: none;
}

.skills .progress .skill {
  padding: 10px 0;
  margin: 0;
  text-transform: uppercase;
  display: block;
  font-weight: 600;
  font-family: "Poppins", sans-serif;
  color: var(--secondary-color);
}

.skills .progress .skill .val {
  float: right;
}

.skills .progress-bar-wrap {
  background: #f2f3f5;
  border-radius: 10px;
}

.skills .progress-bar {
  width: 1px;
  height: 10px;
  transition: 0.9s;
  background-color: var(--main-color);
  border-radius: 10px;
}

/*--------------------------------------------------------------
$$ Start Resume Section
--------------------------------------------------------------*/
.resume {
  background-color: var(--secondary-color);
  color: white;
}
.resume .resume-title {
  font-size: 30px;
  font-weight: 600;
  margin-top: 30px;
  margin-bottom: 15px;
  color: white;
}

.resume .resume-item {
  padding: 0 0 20px 20px;
  margin-top: -2px;
  border-left: 2px solid var(--main-color);
  position: relative;
}

.resume .resume-item::before {
  content: "";
  position: absolute;
  width: 16px;
  height: 16px;
  border-radius: 50px;
  left: -9px;
  top: 0;
  background: white;
  border: 3px dashed var(--main-color);
}

.resume .resume-item h4 {
  line-height: 18px;
  font-size: 18px;
  font-weight: 600;
  text-transform: uppercase;
  font-family: "Poppins", sans-serif;
  color: var(--main-color);
  margin-bottom: 10px;
}

.resume .resume-item h5 {
  font-size: 16px;
  background: white;
  color: var(--secondary-color);
  padding: 5px 15px;
  display: inline-block;
  font-weight: 600;
  margin-bottom: 10px;
}

.resume .resume-item:last-child {
  padding-bottom: 0;
}

/*--------------------------------------------------------------
$$ Start Projects Section
--------------------------------------------------------------*/
.services .icon-box {
  text-align: center;
  padding: 0px 0px 20px 0px;
  transition: all ease-in-out 0.3s;
  background: #fff;
  box-shadow: 0px 5px 80px 1px rgba(110, 123, 131, 0.05);
  display: flex;
  flex-direction: column;
  margin-bottom: 15px;
}

.services .icon-box .box-photo {
  height: 200px;
}

.services .icon-box .box-photo img{
  width: 100%;
  height: 100%;
}

.services .icon-box h4 {
  font-weight: 600;
  margin: 15px 0 15px 0;
  font-size: 22px;
  color: var(--secondary-color);
}


.services .icon-box p {
  line-height: 24px;
  font-size: 14px;
  margin-bottom: 0;
}

.services .icon-box:hover {
  border-color: #fff;
  box-shadow: 0 0 35px 0 rgba(0, 0, 0, 0.2);
}

/*--------------------------------------------------------------
$$ Start Contact & Footer Section
--------------------------------------------------------------*/
#footer {
  background: var(--secondary-color);
  color: white;
  text-align: center;
  padding: 30px 0;
}

#footer .social-links {
  margin: 10px 0 50px 0;
}

#footer .social-links a {
  font-size: 50px;
  display: inline-block;
  color: white;
  text-decoration: none;
  line-height: 1;
  margin: 0 20px 0 20px;
  transition: 0.3s;
}

#footer .social-links a:hover {
  color: var(--main-color);
}

/*--------------------------------------------------------------
$$ Back to top button
--------------------------------------------------------------*/
.back-to-top {
  position: fixed;
  visibility: hidden;
  opacity: 0;
  right: 15px;
  bottom: 15px;
  z-index: 996;
  background: var(--main-color);
  width: 40px;
  height: 40px;
  border-radius: 50px;
  transition: all 0.4s;
  text-decoration: none;
}

.back-to-top i {
  font-size: 20px;
  color: black;
}

.back-to-top:hover {
  background: white;
  border-color: #fff;
  box-shadow: 0 0 35px 0 rgba(0, 0, 0, 0.3);
}

.back-to-top.active {
  visibility: visible;
  opacity: 1;
}